GmagickDraw::setfontsize
GmagickDraw::setfontweight
GmagickDraw
PHP Manual

# GmagickDraw::setfontstyle

(PECL gmagick >= Unknown)

GmagickDraw::setfontstyle — Sets the font style to use when annotating with text

### Description

public void GmagickDraw::setfontstyle ( string `$style` )

Sets the font style to use when annotating with text. The AnyStyle enumeration acts as a wild-card "don't care" option.

### Parameters

`style`

  Font style (NormalStyle, ItalicStyle, ObliqueStyle, AnyStyle)

### Return Values

The GmagickDraw object on success

GmagickDraw::setfontsize
GmagickDraw::setfontweight
GmagickDraw
PHP Manual